/problems/{problemAreaId}
Retrieves a specific Problem Area by its ID. Problem Areas are used to classify related types of issues in a facility, asset, or service environment. They help structure issue categories and are used to organize Problem Types. This endpoint returns the details of the specified Problem Area.
getProblemArea
| Name | Type | Description |
|---|---|---|
problemAreaId
required
|
string |
The Problem Area ID |
data
object
Problem Area model structure details
id
string
required
read-only
ID of the Problem Area
Example: 888
type
string
required
read-only
Model type
problem_area
attributes
object
required
problem_id
integer
required
read-only
Unique identifier of the Problem Area
Example: 888
name
string
required
read-only
Name of the Problem Area
Example: Electric
full_name
string
required
read-only
Full name of the Problem Area
Example: Electric - Electric
description
string | null
required
Additional information
Example: Area of problems related to electricity
entity_id
integer
required
read-only
The ID of the entity that this problem area belongs to
Example: 1
created_at
string (date-time) | null
required
read-only
The date and time when the problem area was created
Example: 2022-10-06 11:35:28
updated_at
string (date-time) | null
required
read-only
The date and time when the problem area was last updated
Example: 2022-10-06 11:35:28
has_network_mapping
boolean
required
read-only
Specifies if this problem area is shared and has an established mapping to a corresponding entity in an external network
Example:
is_from_network
boolean
required
read-only
Specifies if this problem area is shared and has been imported from an external network
Example:
relationships
object
children
object
data
array<object>
type
string
read-only
problem_type
id
string
read-only
Example: 123
status
string
error
error
object
properties
object
Only present when related to property validation error
dev_message
string
Example: Property validation error. Check the "properties" section in the response.
http_code
integer
400
message
string
Example: Property validation error.
more_info
string
status
string
error
error
object
http_code
integer
401
message
string
Example: Authentication token invalid.
more_info
string
status
string
error
error
object
http_code
integer
404
message
string
Example: Resource not found
more_info
string | null
status
string
error
error
object
http_code
integer
429
message
string
Example: Too Many Requests.
more_info
string
status
string
error
error
object
http_code
integer
500
message
string
Example: An error has occurred during the request.
more_info
string
curl -X GET \
'https://api.sandbox.infraspeak.com/v3/problems/{problemAreaId}' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.sandbox.infraspeak.com/v3/problems/{problemAreaId}', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
});
const data = await response.json();
$response = Http::withHeaders([
'Accept' => 'application/json',
'Content-Type' => 'application/json',
])->withToken('YOUR_API_TOKEN')
->get('https://api.sandbox.infraspeak.com/v3/problems/{problemAreaId}');
import requests
response = requests.get(
'https://api.sandbox.infraspeak.com/v3/problems/{problemAreaId}',
headers={
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
)
data = response.json()